Bug 520163 - Upgrade from f11 system with totem-gstreamer doesn't work
Summary: Upgrade from f11 system with totem-gstreamer doesn't work
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-28 17:16 UTC by Mads Kiilerich
Modified: 2014-01-21 23:11 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-13 23:23:21 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2009-08-28 17:16:03 UTC
Description of problem:

Upgrade from f11 system with totem-gstreamer doesn't work. There is no totem-gstreamer package in f12.

It seems like f12 totem-gstreamer has been integrated in the totem package. It has 'Obsoletes: totem-gstreamer < 2.27.1', but yum doesn't remove the totem-gstreamer package when installing f12 totem.

It seems to me like the package is right and yum doesn't do the right thing, but I don't know why.


Version-Release number of selected component (if applicable):

totem-2.27.2-6.fc12.i686

totem-gstreamer-2.26.3-3.fc11.i586
yum-3.2.23-3.fc11.noarch

Comment 1 Bastien Nocera 2009-09-03 09:24:25 UTC
As you say that yum isn't doing the right thing, why not assign it to yum in the first place?

Comment 2 Mads Kiilerich 2009-09-03 09:53:15 UTC
Answering Bastiens question:

The reason I didn't assign it to yum is that yum apparently does the right thing for many other packages.

Everything thus points at a totem packaging error. I couldn't find any - but that doesn't prove anything.

Wearing a humble user/bug-reporter hat it would be rude to all of you if I asked the yum guys to debug the totem package.

Comment 3 seth vidal 2009-09-03 13:24:52 UTC

*** This bug has been marked as a duplicate of bug 519172 ***

Comment 4 Mads Kiilerich 2009-10-13 21:02:47 UTC
Bug 519172 Comment #29 concludes that this issue wasn't a duplicate anyway.

[root@localhost ~]# rpm -q yum
yum-3.2.24-2.fc11.noarch
[root@localhost ~]# rm -rf /var/cache/yum/*
[root@localhost ~]# yum --enablerepo=rawhide upgrade
...
--> Processing Dependency: totem = 2.26.3 for package:
totem-gstreamer-2.26.3-5.fc11.i586
/usr/lib/python2.6/site-packages/yum/packages.py:413: UnicodeWarning: Unicode
unequal comparison failed to convert both arguments to Unicode - interpreting
them as being unequal
  if reqn != n:
--> Finished Dependency Resolution
totem-gstreamer-2.26.3-5.fc11.i586 from installed has depsolving problems
  --> Missing Dependency: totem = 2.26.3 is needed by package
totem-gstreamer-2.26.3-5.fc11.i586 (installed)
--> Running transaction check
---> Package kernel-PAE.i686 0:2.6.29.6-217.fc11 set to be erased
---> Package kernel-PAE-devel.i686 0:2.6.29.6-213.fc11 set to be erased
--> Processing Dependency: totem = 2.26.3 for package:
totem-gstreamer-2.26.3-5.fc11.i586
--> Finished Dependency Resolution
totem-gstreamer-2.26.3-5.fc11.i586 from installed has depsolving problems
  --> Missing Dependency: totem = 2.26.3 is needed by package
totem-gstreamer-2.26.3-5.fc11.i586 (installed)
Error: Missing Dependency: totem = 2.26.3 is needed by package
totem-gstreamer-2.26.3-5.fc11.i586 (installed)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest

Comment 5 Mads Kiilerich 2009-10-13 21:05:27 UTC
Setting version to 11; the issue is apparently related to the Fedora 11 yum, not with the Fedora 12 package.

Comment 6 seth vidal 2009-10-13 21:10:03 UTC
the version of yum in f11 and f12 as of right now

are identical.

Comment 7 Mads Kiilerich 2009-10-31 19:02:37 UTC
On Seths request I verified again on a fully updated system (including rpmfusion and adobe flash repos)

No improvement with --skip-broken.
No problems found by package-cleanup --problems.
No dupes found by package-cleanup --dupes.
No orphans found by package-cleanup --orphans.
No output from rpm -Va --nofiles --nodigest.

Comment 8 Mads Kiilerich 2010-01-13 23:23:21 UTC
The system has been upgraded to F12, so it is no longer an urgent problem for me, and I'm not sure I can reproduce. Closing.


Note You need to log in before you can comment on or make changes to this bug.